# Release Checklist

1. Check tests, linters.
2. Check issues and pull requests, update milestones and labels.
3. Create draft release on GitHub with autogenerated release notes.
4. Tweak generated release notes:
   * Ensure that "This section should be empty" section does not exist.
   * Add "All closed issues and pull requests" and "All commits".
   * Tweak spacing, headers levels.
5. Update CHANGELOG.md with the same release notes:
   * Check spacing, header levels.
6. Make a signed tag `vX.Y.Z` with the relevant section of the changelog using `--cleanup=verbatim`.
7. Push it!
8. Make [release](https://github.com/FerretDB/FerretDB/releases).
9. Refresh
   * `env GOPROXY=https://proxy.golang.org go install -v github.com/FerretDB/FerretDB/cmd/ferretdb@<tag>`
   * <https://pkg.go.dev/github.com/FerretDB/FerretDB>
10. `task docker-local`
11. `task docker-push` with four tags (`X.Y.Z` without leading `v` and `latest` for both ghcr.io and Docker Hub):
    * `task docker-push DOCKER_IMAGE=ferretdb/ferretdb:latest`
    * `task docker-push DOCKER_IMAGE=ferretdb/ferretdb:<tag>`
    * `task docker-push DOCKER_IMAGE=ghcr.io/ferretdb/ferretdb:latest`
    * `task docker-push DOCKER_IMAGE=ghcr.io/ferretdb/ferretdb:<tag>`
12. Close milestone in issues.
13. Announce it!
